Package org.h2.command.ddl

# Class CreateSequence

java.lang.Object
org.h2.command.Prepared
org.h2.command.ddl.DefineCommand
org.h2.command.ddl.SchemaCommand
org.h2.command.ddl.CreateSequence

public class CreateSequence extends SchemaCommand
This class represents the statement CREATE SEQUENCE.

## Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`CreateSequence(SessionLocal session, Schema schema)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
Get the command type as defined in CommandInterface
`void`
`setBelongsToTable(boolean belongsToTable)`
`void`
`setIfNotExists(boolean ifNotExists)`
`void`
`setOptions(SequenceOptions options)`
`void`
`setSequenceName(String sequenceName)`
`final long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreateSequence

public CreateSequence(SessionLocal session, Schema schema)

## Method Details

### setSequenceName

public void setSequenceName(String sequenceName)

### setIfNotExists

public void setIfNotExists(boolean ifNotExists)

### setOptions

public void setOptions(SequenceOptions options)

### setBelongsToTable

public void setBelongsToTable(boolean belongsToTable)

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### update

public final long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count